//******Variables******
$base: 4px;

$size-1000: 1045px;
$size-850: 850px;
$size-810: 810px;
$size-700: 700px;
$size-650: 650px;
$size-500: 520px;
$size-480: 480px;

$clr-white: #fff;
$clr-yellow: #f8cd53;
$clr-blue: #1287bf;

$clr-red-100: #f35e59;
$clr-red-200: #de2b24;

$clr-gray-100: #f3f3f3;
$clr-gray-200: #f0f2f4;
$clr-gray-300: #d8d8d8;
$clr-gray-400: #cecece;
$clr-gray-500: #b0b0b0;
$clr-gray-600: #828282;
$clr-gray-700: #5c5c5c;
$clr-gray-800: #424242;
$clr-gray-900: #2a2a2a;

$fw-light: 300;
$fw-normal: 400;
$fw-bold: 700;

//******Fonts******
@font-face {
  font-family: "Icomoon";
  src: url("../fonts/icomoon.eot?cmych7");
  src: url("../fonts/icomoon.eot?cmych7#iefix") format("embedded-opentype"),
    url("../fonts/icomoon.ttf?cmych7") format("truetype"),
    url("../fonts/icomoon.woff?cmych7") format("woff"),
    url("../fonts/icomoon.svg?cmych7#icomoon") format("svg");
  font-display: swap;
}

@mixin Icomoon {
  font-family: "Icomoon", sans-serif;
}

@mixin OpenSans {
  font-family: "Open Sans", sans-serif;
}

@mixin Roboto {
  font-family: "Roboto", sans-serif;
}

//******Fonts - Fluid Typography******
:root {
  --fsz-xxsmall: 16px;
  --fsz-xsmall: 22px;
  --fsz-small: 26px;
  --fsz-medium: 30px;
  --fsz-large: 36px;
  --fsz-xlarge: 48px;
  --fsz-xxlarge: 60px;

  --fsz-multiplier: 0.6;
}

@mixin fsz-xxsmall {
  font-size: var(--fsz-xxsmall);

  @media screen and (max-width: $size-1000) {
    font-size: clamp(
      calc(var(--fsz-xxsmall) * var(--fsz-multiplier)),
      calc((var(--fsz-xxsmall) * var(--fsz-multiplier)) + 1vw),
      var(--fsz-xxsmall)
    );
  }
}

@mixin fsz-xsmall {
  font-size: var(--fsz-xsmall);

  @media screen and (max-width: $size-1000) {
    /* clamp(10px, calc(10px + 1vw),16px) */
    font-size: clamp(
      calc(var(--fsz-xsmall) * var(--fsz-multiplier)),
      calc((var(--fsz-xsmall) * var(--fsz-multiplier)) + 1vw),
      var(--fsz-xsmall)
    );
  }
}

@mixin fsz-small {
  font-size: var(--fsz-small);

  @media screen and (max-width: $size-1000) {
    font-size: clamp(
      calc(var(--fsz-small) * var(--fsz-multiplier)),
      calc((var(--fsz-small) * var(--fsz-multiplier)) + 1vw),
      var(--fsz-small)
    );
  }
}

@mixin fsz-medium {
  font-size: var(--fsz-medium);

  @media screen and (max-width: $size-1000) {
    font-size: clamp(
      calc(var(--fsz-medium) * var(--fsz-multiplier)),
      calc((var(--fsz-medium) * var(--fsz-multiplier)) + 1vw),
      var(--fsz-medium)
    );
  }
}

@mixin fsz-large {
  font-size: var(--fsz-large);

  @media screen and (max-width: $size-1000) {
    font-size: clamp(
      calc(var(--fsz-large) * var(--fsz-multiplier)),
      calc((var(--fsz-large) * var(--fsz-multiplier)) + 1vw),
      var(--fsz-large)
    );
  }
}

@mixin fsz-xlarge {
  font-size: var(--fsz-xlarge);

  @media screen and (max-width: $size-1000) {
    font-size: clamp(
      calc(var(--fsz-xlarge) * var(--fsz-multiplier)),
      calc((var(--fsz-xlarge) * var(--fsz-multiplier)) + 1vw),
      var(--fsz-xlarge)
    );
  }
}

@mixin fsz-xxlarge {
  font-size: var(--fsz-xxlarge);

  @media screen and (max-width: $size-1000) {
    font-size: clamp(
      calc(var(--fsz-xxlarge) * var(--fsz-multiplier)),
      calc((var(--fsz-xxlarge) * var(--fsz-multiplier)) + 1vw),
      var(--fsz-xxlarge)
    );
  }
}

//******General******
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  @include Roboto(); //14px, межстрочный интервал - 1.2, цвет - #5c5c5c
  @include fsz-xxsmall;
  line-height: 1.2;
  color: $clr-gray-700;
  font-weight: $fw-normal;
  position: relative;
}

ul,
ol {
  list-style: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: $clr-gray-800;
  font-weight: $fw-bold;
}

a {
  text-decoration: none;
}

button,
input[type="button"],
input[type="submit"] {
  cursor: pointer;
}

button {
  border: none;
  background: none;
  color: $clr-white;
  font-weight: $fw-bold;
  border-radius: $base;
}

button:active,
button:focus,
input[type="button"]:active,
input[type="button"]:focus,
input[type="submit"]:active,
input[type="submit"]:focus {
  outline: 1px solid $clr-gray-700;
}

.section-inner {
  text-align: center;
  max-width: $size-1000;
  padding: 0 $base * 2.5;
  margin: 0 auto;

  @media screen and (max-width: $size-1000) {
    width: 100%;
  }
}

.visually-hidden {
  display: block;
  position: absolute;
  width: 0;
  height: 0;
  opacity: 0;
  margin: 0;
  padding: 0;
  clip: rect(0 0 0 0);
  visibility: hidden;
  overflow: hidden;
  z-index: -1;
}

.dashed {
  &__title {
    @include fsz-large;
  }

  &__text {
    position: relative;
    @include fsz-xsmall;
    font-weight: $fw-light;
    padding-bottom: $base * 4;
    margin-bottom: $base * 10.5;

    &::after {
      content: "";
      display: block;
      position: absolute;
      width: $base * 12.5;
      bottom: 0;
      left: 50%;
      transform: translateX(-50%);
      border-top: $base solid $clr-gray-800;
    }
  }
}

//******Header******
.header {
  background-color: $clr-gray-200;
  border-bottom: 1px solid $clr-gray-400;

  .section-inner {
    display: flex;
    justify-content: flex-end;
  }

  &__links {
    display: flex;
    align-items: center;

    &-item + &-item {
      margin-left: $base * 5;
    }

    &-item:first-child {
      position: relative;
      padding: $base * 3 0;
      padding-right: $base * 5;

      &::after {
        content: "";
        display: block;
        position: absolute;
        left: 100%;
        top: 0;
        bottom: 0;
        border-left: 1px solid $clr-gray-400;
      }
    }
  }

  &__link {
    display: block;
    color: $clr-gray-800;

    &::before {
      @include Icomoon;
      display: inline-block;
      margin-right: $base * 2.5;
      vertical-align: top;
    }

    &-tel::before {
      content: "\e900";
    }

    &-mail::before {
      content: "\e901";
    }

    &-fb {
      position: relative;
      @include Icomoon;
      width: $base * 6;
      height: $base * 6;
      background-color: $clr-blue;
      border-radius: $base;
      color: $clr-white;

      &::before {
        content: "\e903";
        display: block;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
      }
    }
  }
}

//******Hero******
.hero {
  position: relative;
  width: 100%;
  padding: $base * 10 0;
  top: 0;
  background-color: $clr-white;
  z-index: 100;

  .section-inner {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
  }

  &__logo-img {
    width: 240px;
    height: 50px;
    object-fit: cover;
  }

  &__nav {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-grow: 1;
    position: relative;

    &-wrapper {
      overflow: hidden;

      @media screen and (max-width: $size-850) {
        position: absolute;
        pointer-events: none;
        top: 0;
        right: $base * 12;
      }
    }

    &-burger {
      display: none;
      position: absolute;
      right: $base * 2.5;
      top: 50%;
      transform: translateY(-50%);
      width: $base * 8;
      height: $base * 8;

      &:active,
      &:focus {
        outline: none;
      }

      &::before,
      &::after,
      span {
        content: "";
        display: block;
        position: absolute;
        width: 100%;
        border-radius: $base;
        transition: 0.2s ease;
      }

      &::before {
        top: 0;
        border-bottom: $base solid $clr-gray-500;
      }

      span {
        opacity: 1;
        top: 50%;
        transform: translateY(-50%);
        border-top: $base solid $clr-gray-500;
      }

      &::after {
        bottom: 0;
        border-top: $base solid $clr-gray-500;
      }

      @media screen and (max-width: $size-850) {
        display: block;
      }
    }

    &-active {
      .hero__nav-wrapper {
        pointer-events: initial;
      }

      .hero__menu-wrapper {
        transform: translateX(0);
      }

      .hero__nav-burger {
        &::before {
          top: 50%;
          transform: translateY(-50%) rotate(45deg);
        }

        span {
          opacity: 0;
        }

        &::after {
          bottom: 50%;
          transform: translateY(50%) rotate(-45deg);
        }
      }
    }
  }

  &__menu {
    display: flex;
    font-weight: $fw-bold;

    @media screen and (max-width: $size-850) {
      flex-direction: column;
    }

    &-wrapper {
      position: relative;
      display: flex;
      align-items: center;

      @media screen and (max-width: $size-850) {
        transform: translateX(200%);
        flex-direction: column;
        justify-content: center;
        padding: 10px;
        background-color: $clr-gray-200;
        transition: transform 0.2s ease;
      }
    }

    &-item {
      position: relative;
    }

    &-item + &-item {
      margin-left: $base * 4;
      padding-left: $base * 4;

      &::before {
        content: "\25CF";
        display: inline-block;
        position: absolute;
        left: 0;
        transform: translateX(-50%);

        @media screen and (max-width: $size-850) {
          display: none;
        }
      }

      @media screen and (max-width: $size-850) {
        margin: 0;
        padding: 0;
      }
    }

    &-link {
      @include fsz-xxsmall;
      color: $clr-gray-800;
      transition: color 0.2s ease;

      &:hover,
      &:active {
        color: $clr-red-200;
      }

      @media screen and (max-width: $size-850) {
        display: block;
        padding: $base * 2;
      }

      @media screen and (max-width: $size-480) {
        --fsz-multiplier: 0.9;
      }

      &--active {
        color: $clr-red-200;
      }
    }
  }

  &__btn {
    background-color: $clr-red-200;
    margin-left: $base * 8;
    padding: $base * 3 $base * 6;

    &:hover,
    &:active,
    &:focus {
      background-color: saturate($clr-red-200, 20);
    }

    @media screen and (max-width: $size-850) {
      margin: 0;
    }
  }
}

//******Banner******
.banner {
  background: url(../images/top-section.jpg) center center / cover no-repeat;
  padding: $base * 44 0 $base * 59;
  color: $clr-white;

  &__title {
    color: $clr-white;
    @include fsz-xlarge;
  }

  &__text {
    @include fsz-medium;
    font-weight: $fw-light;
    margin-bottom: $base * 8;
  }

  &__btn {
    background-color: $clr-yellow;
    padding: $base * 6 $base * 10;
    text-transform: uppercase;
    @include fsz-xsmall;

    &:hover,
    &:active,
    &:focus {
      background-color: darken($clr-yellow, 10);
    }
  }

  @media screen and (max-width: $size-850) {
    padding: $base * 20 0 $base * 30;
  }

  @media screen and (max-width: $size-480) {
    padding: $base * 17 0 $base * 20;
  }
}

//******About******
.about {
  padding: $base * 27 0;

  &__services {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;

    &-item {
      width: 33%;
      min-width: $base * 47;
      padding: $base * 12;
      padding-top: 0;

      &--img {
        width: $base * 20;
        height: $base * 20;
        object-fit: contain;
        padding-bottom: $base * 5;
      }

      &--title {
        @include fsz-xsmall;
        padding-bottom: $base * 3;

        @media screen and (max-width: $size-480) {
          --fsz-multiplier: 0.7;
        }
      }

      &--text {
        @include OpenSans();
        @include fsz-xxsmall;

        @media screen and (max-width: $size-480) {
          --fsz-multiplier: 0.7;
        }
      }

      @media screen and (max-width: $size-850) {
        padding: 0 $base * 6 $base * 10;
      }
    }
  }

  @media screen and (max-width: $size-850) {
    padding: $base * 10 0 $base * 6;
  }
}

//******Approach******
.approach {
  background-color: $clr-gray-100;
  padding: $base * 20 0 $base * 32;

  &__steps {
    &-item {
      border-radius: $base;
      overflow: hidden;
      box-shadow: 0 0 5px 0 $clr-gray-300;
    }

    &-item + &-item {
      margin-top: $base * 10;
    }

    &-figure {
      display: flex;
      align-items: stretch;
      background-color: $clr-white;

      @media screen and (max-width: $size-700) {
        flex-direction: column;
        align-items: center;
      }
    }

    &-img {
      min-width: $base * 85;
      min-height: $base * 60;
      object-fit: cover;
      background-color: $clr-red-100;

      @media screen and (max-width: $size-700) {
        min-width: $base * 70;
        width: 60%;
      }
    }

    &-info {
      position: relative;
      flex-grow: 1;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: flex-start;
      text-align: left;
      padding: $base * 10 $base * 20;
      line-height: 1.4;

      &--number {
        position: absolute;
        width: $base * 26;
        height: $base * 26;
        left: 0;
        top: 50%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        transform: translate(-50%, -50%);
        // padding: $base * 5 $base * 8;
        border: 2px solid $clr-white;
        border-radius: $base;
        background-color: $clr-red-200;
        color: $clr-white;
        // text-align: center;
        line-height: 0.9;
        @include fsz-xxlarge;

        span {
          @include fsz-xsmall;
        }

        @media screen and (max-width: $size-700) {
          top: 0;
          left: 50%;
          transform: translate(-50%, -50%);
        }
      }

      &--title {
        margin-bottom: $base;
      }

      &--text {
        @include OpenSans;
      }

      @media screen and (max-width: $size-850) {
        padding-right: $base * 7;
      }

      @media screen and (max-width: $size-700) {
        padding: $base * 15 $base * 10 $base * 10;
        text-align: justify;
      }
    }

    &-item-reverse {
      .approach__steps-figure {
        flex-direction: row-reverse;

        @media screen and (max-width: $size-700) {
          flex-direction: column;
          align-items: center;
        }
      }

      .approach__steps-info {
        align-items: flex-end;
        text-align: right;

        @media screen and (max-width: $size-850) {
          padding-left: $base * 7;
          padding-right: $base * 20;
        }

        @media screen and (max-width: $size-700) {
          text-align: justify;
          padding: $base * 15 $base * 10 $base * 10;
        }
      }

      .approach__steps-info--number {
        left: auto;
        right: 0;
        transform: translate(50%, -50%);

        @media screen and (max-width: $size-700) {
          top: 0;
          left: 50%;
          transform: translate(-50%, -50%);
        }
      }
    }
  }

  @media screen and (max-width: $size-850) {
    padding: $base * 10 0 $base * 15;
  }
}

//******Our Work******
.ourwork {
  padding: $base * 29 0;
  color: $clr-white;
  background-color: $clr-red-200;

  &__title {
    color: $clr-white;
  }

  &__text::after {
    border-color: $clr-white;
  }

  &__list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: stretch;
  }

  &__item {
    width: 50%;
    min-width: $base * 100;
    display: flex;
    justify-content: center;
    align-items: stretch;
    background-color: $clr-red-100;

    &-img {
      width: 50%;
      height: auto;
      object-fit: cover;
    }

    &-info {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      width: 50%;
      padding: $base * 11;

      &--ico {
        position: relative;
        width: $base * 10;
        height: $base * 10;
        @include Icomoon();
        @include fsz-large;
        margin-bottom: $base * 5;

        &::before {
          content: "\e902";
          display: block;
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          opacity: 0.7;
        }
      }

      &--title {
        color: $clr-white;
        @include fsz-small;
      }

      &--text {
        font-weight: $fw-bold;
      }
    }

    &-reverse {
      flex-direction: row-reverse;
    }

    @media screen and (max-width: $size-810) {
      margin-bottom: $base * 2.5;
    }

    @media screen and (max-width: $size-480) {
      min-width: auto;
      width: 100%;
    }
  }

  @media screen and (max-width: $size-850) {
    padding: $base * 10 0;
  }
}

//******FB Analysis******
.fbanalysis {
  padding: $base * 25 0;
  color: $clr-white;
  background-color: $clr-blue;

  &__title {
    color: $clr-white;
    @include fsz-large;
  }

  &__text {
    @include fsz-xsmall;
    margin-bottom: $base * 4;
  }

  &__arrow {
    position: relative;
    width: $base * 16;
    height: $base * 16;
    margin: 0 auto $base * 5;
    border: 3px solid $clr-white;
    border-radius: 50%;
    cursor: pointer;
    transition: transform 0.2s ease;

    &-active {
      transform: rotate(180deg);
    }
  }

  &__arrow-img {
    width: 24px;
    height: 14px;
    object-fit: cover;
    position: absolute;
    top: 50%;
    left: 50%;
    animation: bounce 1s alternate infinite ease-in;

    @keyframes bounce {
      0% {
        transform: translate(-50%, -50%);
      }

      100% {
        transform: translate(-50%, 50%);
      }
    }
  }

  &__form {
    position: relative;
    width: 66%;
    margin: $base * 8.5 auto 0;
    padding: $base * 12.5 $base * 17.5 $base * 16;
    background-color: $clr-white;
    z-index: 1;
    transform-origin: 50% 0;

    &-wrapper {
      position: relative;
      max-height: 0;
      overflow: hidden;
      transition: max-height 0.3s ease-in;
    }

    &::before {
      content: "";
      display: block;
      position: absolute;
      width: $base * 11.5;
      height: $base * 11.5;
      top: 0;
      left: 50%;
      transform: translate(-50%, -50%) rotate(45deg);
      background-color: $clr-white;
      z-index: -1;
    }

    &-close {
      display: block;
      position: absolute;
      top: 0;
      right: 0;
      width: $base * 12.5;
      height: $base * 12.5;
      transform: translate(50%, -50%);
      border: 2px solid $clr-white;
      background-color: $clr-red-200;
      border-radius: 50%;
      color: $clr-white;
      @include fsz-medium;
      font-weight: $fw-light;

      &:hover,
      &:active,
      &:focus {
        background-color: saturate($clr-red-200, 20);
      }

      @media screen and (max-width: $size-500) {
        display: none;
      }
    }

    &-text {
      margin-bottom: $base * 9;
      color: $clr-gray-600;
      line-height: 1.3;
    }

    &-input {
      display: block;
      width: 80%;
      margin: 0 auto;
      padding: $base * 5;
      color: $clr-gray-500;
      border: 1px solid $clr-gray-300;
      border-radius: $base;
      outline: none;

      @media screen and (max-width: $size-850) {
        width: 100%;
      }
    }

    &-input:active,
    &-input:focus {
      border-color: $clr-blue;
      box-shadow: 0 0 5px 0 $clr-blue;
    }

    &-input + &-input {
      margin-top: $base * 2.5;
    }

    &-btn {
      background-color: $clr-red-200;
      border: none;
      border-radius: $base;
      color: $clr-white;
      text-transform: uppercase;
      font-weight: $fw-bold;
      padding: $base * 4 $base * 8;
      margin-top: $base * 9;

      &:hover,
      &:active,
      &:focus {
        background-color: saturate($clr-red-200, 20);
      }
    }

    @media screen and (max-width: $size-850) {
      padding: $base * 6 $base * 9 $base * 8;
    }

    @media screen and (max-width: $size-650) {
      width: 90%;
    }

    @media screen and (max-width: $size-500) {
      width: 100%;
      padding: $base * 5;
    }
  }

  @media screen and (max-width: $size-850) {
    padding: $base * 10 0;
  }
}

//******Get In******
.getin {
  padding: $base * 21 0;
  background-color: $clr-gray-900;
  color: $clr-white;

  &__title {
    margin-bottom: $base * 7;
    color: $clr-white;
    @include fsz-medium;
  }

  &__social {
    display: flex;
    justify-content: center;
    margin-bottom: $base * 9;

    &-item {
      width: $base * 12.5;
      height: $base * 12.5;
      border-radius: $base;
      overflow: hidden;

      &--ico {
        position: relative;
        display: block;
        width: 100%;
        height: 100%;
        border: 2px solid $clr-gray-700;
        @include Icomoon();
        @include fsz-xsmall;
        color: $clr-white;
        transition: border-color 0.2s ease;

        &:hover,
        &:active,
        &:focus {
          border-color: $clr-red-200;
        }
      }

      &--ico::before {
        position: absolute;
        display: block;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
      }

      &--ico-fb::before {
        content: "\e903";
      }

      &--ico-tw::before {
        content: "\e904";
      }

      &--ico-gp::before {
        content: "\e905";
      }

      &--ico-in::before {
        content: "\e906";
      }
    }

    &-item + &-item {
      margin-left: $base * 5;
    }
  }

  &__form {
    width: 66%;
    text-align: center;
    margin: 0 auto;

    &-description {
      @include OpenSans();
      margin-bottom: $base * 7;
    }

    &-email {
      display: block;
      width: 100%;
      background-color: $clr-gray-700;
      border: none;
      // line-height: 1.4;
      margin-bottom: $base * 7;
      padding: $base * 5;
      @include OpenSans();
      color: $clr-gray-400;
      outline: none;
    }

    &-email:active,
    &-email:focus {
      border-color: $clr-blue;
      box-shadow: 0 0 5px 0 $clr-blue;
    }

    &-btn {
      background: none;
      border: 2px solid $clr-gray-700;
      border-radius: $base;
      @include fsz-xsmall;
      font-weight: $fw-bold;
      color: $clr-white;
      padding: $base * 3 $base * 6;

      &:hover,
      &:active,
      &:focus {
        border-color: $clr-red-200;
      }
    }

    @media screen and (max-width: $size-500) {
      width: 90%;
    }
  }

  @media screen and (max-width: $size-850) {
    padding: $base * 10 0;
  }
}

//******Footer******
.footer {
  padding: $base * 6 0;
  background-color: $clr-gray-700;
  @include OpenSans;
  color: $clr-gray-400;
}